# Devopness MCP server

[![MCP Server - CI](https://img.shields.io/github/actions/workflow/status/devopness/devopness/ci-mcp-server.yml?label=MCP%20Server)](https://github.com/devopness/devopness/actions/workflows/ci-mcp-server.yml)
[![MCP Server - Version](https://img.shields.io/pypi/v/devopness-mcp-server?label=MCP%20Server)](https://pypi.org/project/devopness-mcp-server/)

This MCP server exposes Devopness features to be operated by natural language used through any MCP client.

* Example of MCP Clients: `Claude Desktop`, `Cursor`, `Visual Studio Code`, `Windsurf`

This MCP server enables MCP clients, AI assistants and AI Agents to perform all Devopness automated workflows with high performance and security.

All actions performed by AI Agents offer full traceability and auditing on Devopness dashboard at <https://app.devopness.com>

> The best of two worlds: full automation and productivity, without losing security and control over the roles assumed by each agent.

## Installation

[![Install Devopness MCP Server](https://cursor.com/deeplink/mcp-install-dark.svg)](https://cursor.com/install-mcp?name=devopness&config=eyJjb21tYW5kIjoidXZ4IGRldm9wbmVzcy1tY3Atc2VydmVyIiwiZW52Ijp7IkRFVk9QTkVTU19VU0VSX0VNQUlMIjoiWU9VUl9ERVZPUE5FU1NfVVNFUl9FTUFJTCIsIkRFVk9QTkVTU19VU0VSX1BBU1NXT1JEIjoiWU9VUl9ERVZPUE5FU1NfVVNFUl9QQVNTV09SRCJ9fQ%3D%3D)
[![Install Devopness MCP Server in VS Code](https://img.shields.io/badge/VS_Code-000000?style=for-the-badge&label=Add%20to&labelColor=000000&color=000000
)](https://insiders.vscode.dev/redirect/mcp/install?name=devopness&config=%7B%22command%22%3A%22uvx%22%2C%22args%22%3A%5B%22devopness-mcp-server%22%5D%2C%22env%22%3A%7B%22DEVOPNESS_USER_EMAIL%22%3A%22YOUR_DEVOPNESS_USER_EMAIL%22%2C%22DEVOPNESS_USER_PASSWORD%22%3A%22YOUR_DEVOPNESS_USER_PASSWORD%22%7D%7D)

## 🚀 What can be done with Devopness MCP server?

You can do cool things like:

* **Provision cloud infra (networks, subnets, servers, firewall, ...)** on AWS, Azure, DigitalOcean, GCP, ...
* **Deploy a new application to cloud servers or serverless services** from a GitHub repo
* **[Re]deploy an existing app** with the latest changes, specific branch, commit or tag
* **See action logs,** restart components, or delete old environments
* **Configure Linux operatin system** cronjobs, daemons, services (Docker, NGINX, MySQL, PostgreSQL, Redis, ...)
* **Issue SSL certificated to your own domains**, and get your certs automatically renewed
* ...
